addLayer {raster} | R Documentation

## Add or drop a layer

### Description

Add a layer to a Raster* object or drop a layer from a RasterStack or RasterBrick. The object returned is always a RasterStack (unless nothing to add or drop was provided, in which case the original object is returned).

### Usage

    addLayer(x, ...)
    dropLayer(x, i, ...)

### Arguments

`x` | Raster* object
`i` | integer. Indices of the layers to be dropped
`...` | Additional arguments. The layers to add for addLayer. None for dropLayer)

### Value

RasterStack

### See Also

`subset`

### Examples

    file <- system.file("external/test.grd", package="raster")
    s <- stack(file, file, file)
    r <- raster(file)
    s <- addLayer(s, r/2, r*2)
    s
    s <- dropLayer(s, c(3, 5))
    nlayers(s)

[Package raster version 2.5-2 Index]